%global momorel 10

Summary: Time-modules module for perl 
Name: perl-Time-modules
Version: 2006.0814
Release: %{momorel}m%{?dist}
License: see "*.pm"
Group: Development/Languages
Source0: http://www.cpan.org/modules/by-module/Time/Time-modules-%{version}.tar.gz 
NoSource: 0
URL: http://www.cpan.org/modules/by-module/Time/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: perl >= 5.8.5
BuildArch: noarch

%description
Time-modules module for perl

%prep
%setup -q -n Time-modules-%{version} 

%build
CFLAGS="%{optflags}" perl Makefile.PL INSTALLDIRS=vendor
%make
%make test

%clean 
rm -rf %{buildroot}

%install
rm -rf %{buildroot}
make install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot}/usr -type f -print | \
	sed "s@^%{buildroot}@@g" | \
	grep -v perllocal.pod | \
	sed -e 's,\(.*/man/.*\),\1*,' | \
	grep -v "\.packlist" > Time-modules-%{version}-filelist
if [ "$(cat Time-modules-%{version}-filelist)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi

# remove needless files
rm -f %{buildroot}%{perl_vendorarch}/auto/Time-modules/.packlist

%files -f Time-modules-%{version}-filelist
%defattr(-,root,root)
%doc CHANGELOG README

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (2006.0814-10m)
- full rebuild for mo7 release

* Tue May 18 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (2006.0814-9m)
- rebuild against perl-5.12.1

* Fri Apr 16 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (2006.0814-8m)
- rebuild against perl-5.12.0

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2006.0814-7m)
- rebuild against gcc-4.4 and glibc-2.11

* Mon Aug 24 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (2006.0814-6m)
- rebuild against perl-5.10.1

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2006.0814-5m)
- rebuild against rpm-4.6

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (2006.0814-4m)
- rebuild against gcc43

* Wed Feb 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (2006.0814-3m)
- %%NoSource -> NoSource

* Mon Apr 23 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (2006.0814-2m)
- use vendor

* Fri Sep  1 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (2006.0814-1m)
- update to 2006.0814

* Tue Feb 7 2006 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (2003.1126-5m)
- built against perl-5.8.8

* Sun Jun 12 2005 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (2003.1126-4m)
- rebuilt against perl-5.8.7

* Sat Aug 21 2004 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (2003.1126-3m)
- rebuild against perl-5.8.5

* Sun Jul 11 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (2003.1126-2m)
- remove Epoch from BuildRequires

* Mon Mar 15 2004 Kazuhiko <kazuhiko@fdiary.net>
- (2003.1126-1m)

* Tue Dec  9 2003 Ryu SASAOKA <ryu@momonga-linux.org>
- (2003.0211-4m)
- adapt the License: preamble for the Momonga Linux license
  expression unification policy (draft)

* Sun Nov 09 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (2003.0211-3m)
- rebuild against perl-5.8.2

* Sat Nov  1 2003 Kazuhiko <kazuhiko@fdiary.net>
- (2003.0211-2m)
- rebuild against perl-5.8.1

* Sat Mar 01 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (2003.0211-1m)
- update to 2003.0211

* Tue Dec 17 2002 Kazuhiko <kazuhiko@fdiary.net>
- (2002.1001-3m)
- 'BuildArch: noarch'

* Sat Nov 23 2002 Kazuhiko <kazuhiko@fdiary.net>
- (2002.1001-2m)
- rebuild against perl-5.8.0

* Sun Nov 17 2002 Kazuhiko <kazuhiko@fdiary.net>
- (2002.1001-1m)
- spec file was semi-autogenerated
